Subject: RE: [seamoby] WG Last Call: I-D ACTION:draft-seamoby-paging-probl em-statement-00.txt (Fwd)

From: James Kempf <[email-masked]>
Date: Mon, 12 Feb 2001 11:43:19 -0800 (PST)

Hesham,

As Ram indicated in his response to your email, we were focussed on
existing systems, in which transmission of IP information over signalling
channels is basically not possible.

One possibility is that we can add a section to the recommendations that 
states that addition of the capability to transmit L3 messages over
signalling channels would open up the possibility of more comprehensive
L3 paging support to the mobile. 

Let me point out, however, that it is not the job of the IETF to come
up with new L2 protocols. The CRAPS working group last summer explicitly
rejected working on a common radio control protocol, and I do not think
that the Seamoby working group wants to get involved in defining new
L2 signalling for paging either. The best we can do is point out to
those who do L2 design (such as IEEE, 3GPP, etc.) that L3 paging to
the mobile becomes possible if L3 messages can be sent over the 
signalling channel.

Included in line below are specific responses to your comments.

		jak

>General comment: The assumption that L3 packets can only
>be sent on certain channels is not correct. The whole draft
>seems to be based on that assumption. I disagree with that
>unless one of the team members can explain it better to me. 
>I'm sure this would have been discussed in detail. 
>

I don't claim to be an expert on all radio protocols, but to my knowledge,
the existing protocols do not allow extensive L3 signalling on anything
but the traffic channel. I believe they may allow transmission of 
some specific L3-related information, but that is not sufficient to
allow full L3 paging to the mobile.

>"Dormant Mode -  A state in which a mobile can not receive IP
>      packets, but may still be able to receive L2 signalling related to
>      tracking the mobile's location. A mobile may transition out of
>      dormant mode due to a lower layer interface message (possibly
>      triggered by receipt of an IP packet) or a timer expiration. A
>      dormant terminal may signal to the network when it changes paging
>      area, but may delay the signal until the next time it wakes up
>      (if, for example, the mobile is using a time-slotted dormant mode
>      algorithm). Note that a terminal which is continuously listening
>      to L2 for receipt of L3 packets is not in dormant mode. "
>
>=> This definition of dormant mode is not correct. A dormant mobile
>is a mobile that can only receive information on certain channels 
>and not others. This has absolutely nothing to do with the nature
>of this information or which layer it is adressing (L2 or L3). 
>For example in the cellular networks I'm half familiar with, a dormant
>mobile can receive/send signalling messages on common channels. 
>A dormant mobile is a mobile that does not have a traffic channel 
>setup. Therfore saying that it can not receive L3 packets is not 
>true. Maybe in today's cellular networks the system designers 
>chose to send L3 signalling on traffic channels. But of course 
>that should NOT imply that this is the definition of dormancy. 
>After all there is no L3 paging in today's cellular networks. 

This definition was crafted based on existing cellular and other
radio protocols, which, as you point out, do not allow L3 signalling
on anything but the traffic channel. It is not meant to be universally
true for all time. 

I will change the wording to say "specific channels and not others". I 
will also add some wording that states that existing cellular protocols
do not allow L3 signalling on anything but the traffic channel, so the
scope of the definition is clear.

>In chapter 3:
>
>"An L3 paging protocol is sensible only if L2 supports paging. In the
>   absence of L2 paging, L3 paging achieves no reduction in power drain
>   because the mobile is forced to monitor L2 for L3 paging messages."
>
>=> I dont see how this can be right ? This is a statement that simply
>removes the need of L3 paging altogether. If you need L2 paging
>then what's L3 paging needed for ??
>

No, it doesn't. If you read through the draft, you will find that the
design team found specific instances in which L3 paging is necessary.
What it removes is the need for is L3 paging *to the mobile*. 

The situation is similar to basic delivery of packets. If you do not
have an L2 connection, you cannot get packets. L3 bridges different
L2 technologies. Similarly, the design team felt that an L3 paging
protocol could do the same for paging, and, in addition, cover the
cases where the mapping between L2 paging areas and L3 subnets was
not smooth.

Did you even read that part of the draft?

>   "Having the mobile constantly listen to L2 for L3 packets is NOT
>   considered to be adequate L2 support, because it does not achieve
>   enough power savings to be meaningful. "
>
>=> The mobile has to listen to L2 all the time. Again there is
>an underlying assumption here that L3 packets are only sent 
>on certain bearers. That's a bad assuption IMO. If someone disagrees
>with that then please explain why this is the case. I don't think 
>that sending L3 packets on other channels breaks any laws of 
>physics. Or maybe I missed something ?
>
>

In time slotted dormant mode, the mobile is sometimes listening and sometimes 
not. Also, in the case where a specific signalling channel is used, 
having the mobile listen to that channel must have power savings over
having it listen to a traffic channel, otherwise why bother to do it?

Perhaps the wording needs to be modified to clarify that L2 means traffic
channel. 

>The references to both V4 and V6 drafts are incorrect. There is 
>a new V6 draft that is completely different and is now the WG
>draft in the MIP WG. We've been discussing it for a while now on 
>this list so please refer to it.
>Also there is a new V4 draft that will also be the WG draft. 
>I guess I shouldn't need to remind the editor ;)
>

I will check the references, thanx. They were current at the time I
did the draft.

		jak

---

From: "Hesham Soliman (ERA)" <[email-masked]>
Date: Mon, 12 Feb 2001 23:49:03 +0100

Hello Ram, 

> "Hesham Soliman (ERA)" wrote:
> > I see from your response that you're trying to limit the scope
> > to existing wireless networks. I'm not sure whether that is
> > the right thing to do. But regardless, that should not affect
> > the definition of dormancy.
> 
> I guess I am ok with expanding the scope. The main point
> against expanding the scope was that this is the IETF and
> not the IRTF...
> 
	=> Well, you've done it for HAWAII in the MIP WG :)
	That was also IETF. I think there is a very narrow focus 
	in the draft on the way it is_done_now. That's fine, but 
	it should be explicitly mentioned. The way it is now, 
	the draft is quite misleading. 

> Note that L3 paging is still useful in the wired access network
> if radio access networks move to IP - for example, 
> you get interoperability across different air interfaces 
> through using L3 paging in the access networks as opposed to 
> what is currently being done.
> 
	=> Understood.

> The dormancy  definition was written that way partly, I
> think, to highlight the limitation we are working with.
> Please feel free to suggest a more general definition.
> 
	=> Ok. I think I attempted to. 

	Cheers,
	Hesham

---

From: "Hesham Soliman (ERA)" <[email-masked]>
Date: Tue, 13 Feb 2001 21:12:03 +0100

Hi Pat, 

I hope the discussion with James and Mike clarified a bit 
more what my objections are. If not see my answer below.

Hesham

> I need some clarification on your objections. Is your position that it is
> possible to send IP packets through the control/paging channel, and this
> is
> not addressed in the I-D?
> 
	=> Not quite. I actually don't think we should talk about 
	radio bearers at all.
	The most important points Im trying to make are:

	- Currently there is a "hidden" assumption in the draft regarding
	the use of IP signalling over wireless bearers. This is way outside
	our scope in IETF. The mapping of IP packets onto radio 
	bearers is decided by the designers of these wireless systems. 

	- IF we want to make that asumption (and I don't think we 
	should), the draft MUST clearly state that. This means the 
	title, contents ...etc. Now the draft doesn't. It is quite
misleading 
	to present a concept and say "this is THE way to do it" when 
	it really should say " this is the way people chose to do it". 
	What we need to mention is "why L3 paging is needed", and not 
	"why L3 paging is needed in cellular system X" and the 
	benefits (if any). 

	- Finally, unless the reasons are clearly specified, I don't think 
	we should make assumptions about how the radio people
	will use our protocol. There is no convincing argument on this 
	in the draft. Let's state the problem and benefits. If there
	is a good problem statement then let's design a protocol
	and let system designers decide how to use it or map it
	to their systems.

	I hope my point is a bit clearer.

---

From: "Hesham Soliman (ERA)" <[email-masked]>
Date: Tue, 13 Feb 2001 22:43:27 +0100

James, 

> I am somewhat puzzled about the list of baseless attacks you have included
> in this email, since I thought we had an agreement about what to include
> in the report to address your concerns about future L2 protocols that
> could accommodate IP.
> 
	=> I don't like that tone in your mail. I don't have baseless attacks. 
	I was answering Pat's questions regarding my objections. At the 
      start of the mail, I said "I hope the discussion with James and Mike 
       clarified a bit more what my objections are. If not see my answer 
       below"
	 
	Did you read the whole mail ??
	Your puzzleness can be cured if you just read the entire mail. 

> There is no discussion of "radio bearers" in the document. This
> is a 3GPP term referring to the nonaccess stratum request for an access
> stratum radio channel, it has nothing at all to do with paging. 
> 
	=> I was responding to Pat !

> There is 
> discussion about what support is currently available from existing
> L2 radio protocols, and what support the design team felt would be
> necessary from L2 for L3 paging to work in any case. As you have pointed
> out in previous email, the design team missed the case where the L2
> designer had specifically included support for IP in their paging protocol, and 
> I have indicated a willingness to include text in the problem statement
> dealing with this case.
> 
	=> And as I said before that's fine, please do clarify that. 

> There is no hidden assumptions in the draft. There is an unstated assumption
> 
	=> Hmmm !

> that the task given to the working group by the IESG was to assess the
> need for paging given current mobility management protocols for IP (namely
> mobile IP) and current L2 protocols. Contrawise, there is also an unstated
> assumption that the task was not to come up with some kind of Platonic
> Ideal for paging. Perhaps these assumptions should be stated.
> 
> There is a discussion in the draft about why the design team felt that
> L2 support is necessary. Obviously, you don't agree with that discussion,
> and, as we have discussed on this list previously, I have indicated a 
> willingness to modify the problem statement to include a note to future
> L2 designers about the possibility of including support for IP directly
> in the paging protocol.
> 
> Which is why I am somewhat puzzled about the list of baseless attacks
> you have included in this email.
> 
	=> I think you're puzzling yourself and me now ! Just read the mail
	carefully please. I think I was very clear about referring to the
	_current_ draft. 

	I do not "attack" drafts or people for that matter. I'm "criticising"
	the current draft. There is no need to take it personally unless
	you really want to. But don't blame me for it !

> >	What we need to mention is "why L3 paging is needed", and not > 
> >	"why L3 paging is needed in cellular system X" and the > 
> >	benefits (if any). 
> >
> 
> Hesham, we were given a task by the IETF. We attempted to fufill it
> This is not meant to be the Biblical or Koranic truth For All Time.
> 
	=> I thought you said you'll clarify the scope.
	 Was the task description stating that you should only 
	consider existing systems ? 
	If so then I missed it. Could you point me out to that task description?
	I don't see that in the charter.
	Anyhow, as I said several times, if you chose that scope, then
	I can accept the design team's choice, but you need 
	to clearly state it in the draft as we agreed.

> Actually, I think we have every right to think about how radio people will
> use the protocol. If we don't do that, we end up designing some abstraction
> that won't satisfy the requirements. 
> 
	=> Of course you can think about it. But you should not
	expect a certain way of doing it on lower layers. There are
	several L2s to consider. 

> In fact, alot of the problems that we
> are currently addressing in the mobile IP group (in which you are playing a 
> major role) like fast handoff are exactly because the designers of mobile IP 
> didn't bother to think about how cellular protocols would use it, they
> made some very general extrapolations based on wireless LAN technology
> and missed the cellular case, which is very different in some cases.
> 
	=> I agree that you need to consider the systems that will use 
	our protocol. I don't think I've ever disagreed with that. 
	However, these system designers also need to know that they
	are now running an IP network and keep that in mind. 
	So the understanding needs to go both ways. Both sides
	need to understand what they're getting themselves into. 

> What we have attempted to do in this draft is cover both cases.
> 
	=> I hope you can see that I'm not anti the "now" approach. 
	All I said was that you need to clarfy that. 
	Oh and I explained my reaons to Pat. 

> Your comments up until now have been substanative and helpful. The report
> will include some statement about extending IP paging to the mobile if the
> radio protocol includes support for IP. The report will change the terminology
> from "L2" to "L2 paging channel" to distinguish the case where time slotted
> mode is used without a paging channel, as in 802.11. And the report will
> contain, up front, a statement about what the design team felt was the
> responsibility given it by IESG.
> 
	=> Thanks. I look forward to the next revision.

	Hesham

---

From: James Kempf <[email-masked]>
Date: Tue, 13 Feb 2001 13:15:37 -0800 (PST)

Hesham,

Specific responses below.

stratum radio channel, it has nothing at all to do with paging. There is 

that won't satisfy the requirements. In fact, alot of the problems that we

Now, are there any other, specific issues you have with the report?

		jak

---

From: Kulwinder Atwal <[email-masked]>
Date: Tue, 13 Feb 2001 17:29:30 -0500

I agree.

- Kulwinder.

> -----Original Message-----
> From: Hesham Soliman (ERA) [mailto:[email-masked]]
> Sent: Tuesday, February 13, 2001 3:12 PM
> To: 'Patrice Calhoun'
> Cc: [email-masked]
> Subject: RE: [seamoby] WG Last Call: I-D
> ACTION:draft-seamoby-paging-probl em-statement-00.txt (Fwd)
> 
> 
> Hi Pat, 
>